Skip to main content
GET
/
core
/
uboverify
/
create
/
{countryISO}
/
{companyCode}
Request Ownership Tree
curl --request GET \
  --url https://rest.kyckr.com/core/uboverify/create/{countryISO}/{companyCode} \
  --header 'Authorization: <api-key>'
import requests

url = "https://rest.kyckr.com/core/uboverify/create/{countryISO}/{companyCode}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://rest.kyckr.com/core/uboverify/create/{countryISO}/{companyCode}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "ownershipTreeField": {
    "statusField": "SUCCESS",
    "orderIdField": "100437"
  },
  "responseCodeField": "201"
}

Authorizations

Authorization
string
header
required

Path Parameters

countryISO
enum<string>
required

2-digit ISO country code

Available options:
AT,
AU,
BE,
CN,
DE,
DK,
FR,
GB,
IE,
IT,
JP,
MY,
NL,
NZ,
SG
companyCode
string
required

Retrieved from search results "codeField" attribute

Query Parameters

maxCreditCost
integer
required

The maximum number of credits to be spent on the data retrieved

Required range: x >= 2
uboThreshold
integer
default:25

The percentage of total ownership to flag as a UBO

Required range: 1 <= x <= 100
maxLayers
integer

The maximum number of layers of ownership to unwrap

Required range: x >= 3
continuationKeys
string<uuid>[]

Continuation keys from a previous ownership tree. Can be supplied multiple times to continue more than one branch.

parentTreeId
integer

If provided, generates a new ownership tree as a continuation of the specified parent tree (by ID). This allows you to continue or modify a previous tree using updated parameters (such as maxCreditCost, maxLayers, or uboThreshold).

regAuth
string

Registration Authority string from search query

Response

UBO Verify Order Creation Response

ownershipTreeField
object
responseCodeField
string